%global debug_package %{nil}

Name: python-userpath
Epoch: 100
Version: 1.8.0
Release: 1%{?dist}
BuildArch: noarch
Summary: Cross-platform tool for adding locations to the user PATH
License: MIT
URL: https://github.com/ofek/userpath/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
Cross-platform tool for adding locations to the user PATH, with no
elevated privileges required.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-userpath
Summary: Cross-platform tool for adding locations to the user PATH
Requires: python3
Requires: python3-click
Provides: python3-userpath = %{epoch}:%{version}-%{release}
Provides: python3dist(userpath) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-userpath = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(userpath) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-userpath = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(userpath) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-userpath
Cross-platform tool for adding locations to the user PATH, with no
elevated privileges required.

%files -n python%{python3_version_nodots}-userpath
%license LICENSE.txt
%{_bindir}/userpath
%{python3_sitelib}/userpath*
%endif

%if !(0%{?suse_version} > 1500)
%package -n python3-userpath
Summary: Cross-platform tool for adding locations to the user PATH
Requires: python3
Requires: python3-click
Provides: python3-userpath = %{epoch}:%{version}-%{release}
Provides: python3dist(userpath) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-userpath = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(userpath) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-userpath = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(userpath) = %{epoch}:%{version}-%{release}

%description -n python3-userpath
Cross-platform tool for adding locations to the user PATH, with no
elevated privileges required.

%files -n python3-userpath
%license LICENSE.txt
%{_bindir}/userpath
%{python3_sitelib}/userpath*
%endif

%changelog
